# Uses of Interface
javax.xml.stream.XMLStreamWriter

Packages that use XMLStreamWriter
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.transform.stax
Provides StAX specific transformation classes.

## Uses of XMLStreamWriter in javax.xml.stream

Methods in javax.xml.stream that return XMLStreamWriter
Modifier and Type
Method
Description
`abstract XMLStreamWriter`
XMLOutputFactory.`createXMLStreamWriter(OutputStream stream)`
Create a new XMLStreamWriter that writes to a stream
`abstract XMLStreamWriter`
XMLOutputFactory.`createXMLStreamWriter(OutputStream stream, String encoding)`
Create a new XMLStreamWriter that writes to a stream
`abstract XMLStreamWriter`
XMLOutputFactory.`createXMLStreamWriter(Writer stream)`
Create a new XMLStreamWriter that writes to a writer
`abstract XMLStreamWriter`
XMLOutputFactory.`createXMLStreamWriter(Result result)`
Create a new XMLStreamWriter that writes to a JAXP result.

## Uses of XMLStreamWriter in javax.xml.transform.stax

Methods in javax.xml.transform.stax that return XMLStreamWriter
Modifier and Type
Method
Description
`XMLStreamWriter`
StAXResult.`getXMLStreamWriter()`
Get the `XMLStreamWriter` used by this `StAXResult`.
Constructors in javax.xml.transform.stax with parameters of type XMLStreamWriter
Modifier
Constructor
Description
``
`StAXResult(XMLStreamWriter xmlStreamWriter)`
Creates a new instance of a `StAXResult` by supplying an `XMLStreamWriter`.